"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb5300>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb5440>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb53a0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb54e0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb5580>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb5620>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb56c0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb5760>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb5800>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb58a0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb5940>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb59e0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb5a80>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb5b20>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb5bc0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb5c60>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb5d00>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb5da0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb5e40>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb5ee0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb5f80>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb6020>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb60c0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb6160>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb6200>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb62a0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb6340>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb63e0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb6480>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb6520>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb65c0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb6660>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb6700>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb67a0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb6840>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb68e0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb6980>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb6a20>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb6ac0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb6b60>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb6c00>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb6ca0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb6d40>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb6de0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb6e80>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb6f20>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb6fc0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb7060>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb7100>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb71a0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb7240>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb72e0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb7380>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb7420>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb74c0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb7560>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb7600>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb76a0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb7740>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb77e0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb7880>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb7920>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb79c0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb7a60>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb7b00>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb7ba0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb7c40>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb7ce0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb7d80>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb7e20>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb7ec0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fb7f60>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fd4040>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fd40e0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fd4180>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fd4220>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fd42c0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fd4360>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fd4400>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fd4540>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fd44a0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fd45e0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fd4680>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fd4720>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f7a36fd47c0>)]
name: str = 'fr_HOCCN'
